<ion-toolbar class="container">
  <div *ngIf="gardens != null" class="container-fluid">
    <div class="row justify-content-around">
      <div class="col-6 col-sm-8 col-sm-3">
        <ion-select
          (ionChange)="onChangeGarden()"
          [(ngModel)]="gardenSelected"
          [value]="gardenSelected"
          cancelText="Annuler"
          okText="Valider"
          placeholder="Sélectionnez votre Jardin:">
          <ion-select-option
            *ngFor="let garden of gardens"
            [value]="garden.name">
            {{ garden.name }}
          </ion-select-option>
        </ion-select>
      </div>
      <div class="col-6 col-sm-3">
        <ion-col>
          <ion-button [disabled]="gardenSelected == null" fill="clear" id="popover_button">
            <ion-label style="color: #383a3e; text-transform: none">Année : {{yearSelected}}</ion-label>
          </ion-button>
        </ion-col>
      </div>
    </div>

    <!--  popover (year)-->
    <ion-popover trigger="popover_button">
      <ng-template>
        <ion-datetime
          #dateTime
          (ionChange)="onChangeYear(dateTime.value)"
          [max]="currentYear + 10"
          [min]="currentYear"
          [value]="yearSelected"
          max="2030"
          presentation="year">
        </ion-datetime>
      </ng-template>
    </ion-popover>
  </div>
</ion-toolbar>

<ion-content [fullscreen]="true">
  <ion-header collapse="condense">
    <ion-toolbar>
      <ion-title size="large">Tab 2</ion-title>
    </ion-toolbar>
  </ion-header>

  <ion-content>
    <ng-template [ngIf]="gardenSelected == null" class="container">
      <div class="row mb-4 justify-content-center">
        <div class="col-8 col-sm-10 col-md-6 col-xl-4 col-xxl-3 p-2">
          <ion-img class="mx-auto d-block" src="./assets/get-started.png"></ion-img>
        </div>
        <div class="col-10 align-self-center text-center mt-5">
          <div class="col-12">
            <h2>Bienvenue dans votre espace de création !</h2>
          </div>
          <ion-label style="text-align: center">Cliquez sur le boutton ci-dessous pour commencer.</ion-label>
          <div class="col-md-4 offset-md-4">
            <ion-button (click)="onAddGarden()" expand="block">Ajouter un Jardin</ion-button>
          </div>
        </div>
      </div>
    </ng-template>

    <app-garden-edit-draw *ngIf="gardenSelected != null" [gardenName]="gardenSelected"
                          [year]="yearSelected"></app-garden-edit-draw>

    <!-- fab placed to the bottom end -->
    <ion-fab *ngIf="gardens != null" horizontal="end" slot="fixed" vertical="bottom">
      <ion-fab-button color="primary">
        <ion-icon name="pencil-outline"></ion-icon>
      </ion-fab-button>
      <ion-fab-list side="top">
        <!--        Delete a garden -->
        <ion-fab-button (click)="onDeleteGarden()" *ngIf="!!gardenSelected" color="light"
                        data-desc="Supprimer le Jardin">
          <ion-icon name="trash-outline" style="color: red;"></ion-icon>
        </ion-fab-button>
        <!--      Change garden zones -->
        <ion-fab-button (click)="onEditGarden()" *ngIf="!!gardenSelected" color="light"
                        data-desc="Modifier le Jardin">
          <ion-icon name="crop-outline"></ion-icon>
        </ion-fab-button>
        <!--        Add a garden -->
        <ion-fab-button (click)="onAddGarden()" color="light" data-desc="Ajouter un jardin">
          <ion-icon name="add"></ion-icon>
        </ion-fab-button>

      </ion-fab-list>
    </ion-fab>

    <ion-fab horizontal="end" slot="fixed" vertical="top">
      <ion-fab-button (click)="deleteTable()" color="danger">
        <ion-icon name="trash-outline"></ion-icon>
      </ion-fab-button>
    </ion-fab>
  </ion-content>
</ion-content>
